Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss
Class WSService

    java.lang.Object
      org.deegree.ogcwebservices.wass.wss.WSService

All Implemented Interfaces:
  OGCWebService

    public class WSService

extends Object
implements OGCWebService

The Web Security Service - `WSService` - is the dispatcher of the entire WSS. It calls the appropriate classes according to a given request.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`WSService(WSSConfiguration config)` Creates a new WebSecurityService with the given configuration( = capabilities) bean.

Method Summary
`Object` | `doService(OGCWebServiceRequest request)` the implementation of this method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method
`OGCCapabilities` | `getCapabilities()` returns the capabilities of a OGC web service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSService

    public WSService(WSSConfiguration config)
              throws OGCWebServiceException

  Creates a new WebSecurityService with the given configuration( = capabilities) bean.

  Parameters:
    `config` -
  Throws:
    `OGCWebServiceException`

Method Detail

### getCapabilities

    public OGCCapabilities getCapabilities()

  Description copied from interface: `OGCWebService`
  returns the capabilities of a OGC web service

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    the capabilities of a OGC web service

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  Description copied from interface: `OGCWebService`
  the implementation of this method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - request (WMS, WCS, WFS, CSW, WFS-G, WMPS) to perform
  Returns:
    result of a service operation
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org